#
# spec file for package kanji-lookup (Version 1.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel gtk gtk-devel xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         kanji-lookup
Copyright:    GPL
Group:        X11/Applications
Autoreqprov:  on
Version:      1.0
Release:      49
URL:          http://www.ne.jp/asahi/linux/timecop/
#Original source: http://www.ne.jp/asahi/linux/timecop/kanji_lookup-1.0.tar.gz
Source0:      http://www.ne.jp/asahi/linux/timecop/kanji_lookup-1.0.tar.bz2
Patch0:       kanji-lookup.patch
BuildRoot:    %{_tmppath}/%{name}-root/
Summary:      Simple program which allows Kanji lookup using radical tables.

%description
This small program allows Kanji lookup using radicals and common elements.
Design goal of this was to make it as efficient to use as possible.  Possible
use for this is to look up unfamiliar characters for which you can't remember
the reading.  Result is placed into X11 cut buffer ready to paste into a
dictionary program or word processor, etc.

Authors:
--------
    <timecop@japan.co.jp> 
    Botond Botyanszki <boti@beer.com> 
    Jim Breen <j.breen@csse.monash.edu.au>

SuSE series: j

%prep
%setup0 -n kanji_lookup-%{version}
%patch0 -p 1
head -n20 rad.c > credit-list

%build
CFLAGS="$RPM_OPT_FLAGS" make 

%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot}
fi
mkdir -p $RPM_BUILD_ROOT/usr/bin/
install -m 755 -s rad $RPM_BUILD_ROOT/usr/bin/rad
mkdir -p $RPM_BUILD_ROOT/usr/share/kanji-lookup
install -m 644 radkfile $RPM_BUILD_ROOT/usr/share/kanji-lookup/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL README credit-list
/usr/bin/rad
/usr/share/kanji-lookup/radkfile

%changelog -n kanji-lookup
* Sun Sep 16 2001 - mfabian@suse.de
- compare return value of getopt with '-1' instead with EOF.
  This makes it work on PPC.
* Tue Sep 04 2001 - mfabian@suse.de
- move radkfile to /usr/share/kanji-lookup/radkfile
  to avoid conflict with xjdic-data. The radkfile in xjdic-data
  is slightly different, it is better when kanji-lookup uses
  it's own radkfile.
* Wed Aug 08 2001 - mfabian@suse.de
- new package: kanji-lookup, Version 1.0
